#ifndef DATADIALOG_H
#define DATADIALOG_H

#include <QObject>
#include <QDialog>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QPlainTextEdit>
#include <QtSql>
#include <QTextCodec>
#include "tinyaes.h"

enum{mod_add,mod_edit};

class DataDialog: public QDialog
{
  Q_OBJECT

public:
  DataDialog();
  void SetMod(const bool&);
  void SetId(const QString&);
  void SetPass(const QString&);

private:
  QWidget * wid = new QWidget(this);

  QLabel LabelDomain;
  QLabel LabelLogin;
  QLabel LabelPass;
  QLabel LabelText;
  QLabel Status;

  QLineEdit LineEditDomain;
  QLineEdit LineEditLogin;
  QLineEdit LineEditPass;

  QPlainTextEdit TextEdit;

  QPushButton Button;

  bool mod;
  QString id;
  QString pass;




signals:

public slots:
  void on_pushButton_clicked();
};

#endif // DATADIALOG_H
